require "ease_engine"

class BenchmarkApplication < EaseEngine::Application
  def on_start
    super
    
    @is_update = true
    EaseEngine::Frame.fps = ARGV[ 0 ].to_i
  end
  
  def on_update
    if 1000000 <= @measure.check
      @is_update = false
    end
  end
  
  def on_end
    super
    
    EE_LOG_DBG.call "fps=#{EaseEngine::Frame.fps} update_usec=#{@measure.update_usec} count=#{@measure.count}"
  end
end
BenchmarkApplication::run
