module EaseEngine
  class Buffer
    attr_accessor   :value, :size
    
    def initialize( value = "" )
      @value = value
      @size = value.length
    end
    
    def <<( value )
      if ! value.empty?
        @value << value
        @size += value.length
      end
      @value
    end
    
    def >>( size )
      return "" if size <= 0
      
      @size -= size
      @value.slice!( 0, size )
    end
  end
end
