module EaseEngine
  class Platform
    def self.ruby_platform
      RUBY_PLATFORM.downcase
    end
    
    def self.mac?
      self.ruby_platform =~ /darwin/
    end
    
    def self.linux?
      self.ruby_platform =~ /linux/
    end
    
    def self.windows?
      self.ruby_platform =~ /mingw/
    end
  end
end
