module EaseEngine
  class Time < Time
    def to_s
      sprintf( "%04d/%02d/%02d %02d:%02d:%02d.%06d", year, month, day, hour, min, sec, usec )
    end
    
    def to_unix_epoch_time_usec
      to_i * 1000000 + usec
    end
    
    def -( time )
      ( to_i - time.to_i ) * 1000000 + ( usec - time.usec )
    end
    
    def is_same_day( time )
      return false if day != time.day
      return false if month != time.month
      return false if year != time.year
      return true
    end
  end
end
