using System;

namespace EaseEngine {
  public class Measure {
    protected Time   m_start_time;
    public Time StartTime {
      get { return m_start_time; }
      set { m_start_time = value; }
    }
    
    protected Time   m_end_time;
    public Time EndTime {
      get { return m_end_time; }
      set { m_end_time = value; }
    }
    
    protected UInt64 m_update_usec;
    public UInt64 UpdateUSec {
      get { return m_update_usec; }
      set { m_update_usec = value; }
    }
    
    protected UInt64 m_count;
    public UInt64 Count {
      get { return m_count; }
      set { m_count = value; }
    }
    
    public Measure(){
      Start();
    }
    
    public void Start(){
      m_start_time = m_end_time = new Time();
      m_update_usec = 0;
      m_count = 0;
    }
    
    public UInt64 Check(){
      m_end_time = new Time();
      m_update_usec += ( m_end_time - m_start_time );
      m_count += 1;
      m_start_time = m_end_time;
      return m_update_usec;
    }
  }
}
