require "ease_engine"

class BaseDataPacket < EaseEngine::Packet
  def initialize
    super
    
    packer :array
  end
end

module UDP
  class ParentPacket < EaseEngine::Packet
    attr_accessor   :type
    
    def initialize
      super
      
      packer :parent
      @type = "parent"
    end
  end
  
  class ChildPacket < ParentPacket
    def initialize
      super
      
      packer :child
      @type = "child"
    end
  end
  
  class GrandchildPacket < ChildPacket
    def initialize
      super
      
      packer :grandchild
      @type = "grandchild"
    end
  end
end
