require "ease_engine/time"

module EaseEngine
  class Measure
    attr_accessor   :start_time, :end_time, :update_usec, :count
    
    def initialize
      start
    end
    
    def start
      @start_time = @end_time = EaseEngine::Time.new
      @update_usec = 0
      @count = 0
    end
    
    def check
      @end_time = EaseEngine::Time.new
      @update_usec += ( @end_time - @start_time )
      @count += 1
      @start_time = @end_time
      @update_usec
    end
  end
end
